// include file for scenery and objects of all samples
// Copyright March 2001 Christoph Hormann <chris_hormann@gmx.de>

#version unofficial MegaPov 0.7;

global_settings{
  assumed_gamma 1
  //ini_option "+QR"
  //ini_option "Antialias=on"
  //ini_option "Jitter=on"
  //ini_option "Antialias_Threshold=0.3"
  ini_option "width=320"
  ini_option "height=240"

  radiosity{
    pretrace_start 0.08
    pretrace_end   0.02
    count 35
    nearest_count 5
    error_bound 0.2
    recursion_limit 1
    low_error_factor .5
    gray_threshold 0.0
    minimum_reuse 0.015
    brightness 0.75
    adc_bailout 0.005
  }
}

camera {
  location  <20,   20,  12>*7
  sky       z
  up        z
  right     1.333333*x
  look_at   <0.0,   0.0,  2.0>
  angle     5.8
}

light_source {
  <100.0, 350.0, 350.0>
  color rgb 1
  //area_light 200*x 200*y 5,5
  //jitter
  //orient
}

sphere {
  <0, 0, 0>, 1
  texture {
   pigment {
     gradient z
     color_map {
       [0.4 color rgb < 0.300, 0.310, 0.800 >]
       [0.7 color rgb < 0.600, 0.680, 1.000 >]
     }
   }
   finish { diffuse 0 ambient 0.9 }
  }
  hollow on
  no_shadow
  scale 3000
}


plane {
  z, -1
  hollow on

  texture {
    pigment { color rgb 1.2 }
    finish { diffuse 1 ambient 0.02 }
  }
}

#declare test_Obj=
union {
  box { <0, 0, 0>, <10, 15, 1.5> }
  box { <0, 0, 1>, <1, 1, 4> rotate 20*y translate <8, 13, 0> }

  cylinder { <0, 9, 1>, <9, 9, 4>, 0.6}

  cylinder { <2, 0, 1.7>, <2, 12, 1.7>, 0.4}

  sphere { 0, 1.2 scale <1, 1, 0.3> translate <9, 9, 4.5> }

  isosurface {
    function { "func_7", <0, 8, 0.3, 0.2, 1, 1, 0> }
    sign -1
    max_gradient 2
    accuracy 0.0003

    contained_by { box{ -2, 2 } }
    rotate 90*x
    rotate 20*y
    scale 2
    translate <5, 13, 3>
  }

  #declare Cnt=0;

  #while (Cnt < 10)
    sphere { 0, 0.8 scale <1, 1, 0.3> translate <9-Cnt*0.8, 3, 1.5+Cnt*0.4> }
    #declare Cnt=Cnt+1;
  #end

  translate <-5, -7.5, 0>
}
